Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support escalation rules

GET/workspaces/{organizationId}/support/escalation-rules
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Escalation rules

rulesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
isActivebooleanrequired
sortOrdernumberrequired
conditionsobjectrequired
Show properties
keywordsstring[]
channelsstring[]
prioritiesstring[]
statusesstring[]
sourcesstring[]
customerDomainsstring[]
actionobjectrequired
Show properties
typestringrequired
Allowed:create_issue
teamIdstring
prioritystring
Allowed:lowmediumhighurgent
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
labelIdsstring[]
agentIdstring
repostring
instructionsstring
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/escalation-rules' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "rules": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "isActive": true,
      "sortOrder": 0,
      "conditions": {
        "keywords": [
          "string"
        ],
        "channels": [
          "email"
        ],
        "priorities": [
          "low"
        ],
        "statuses": [
          "todo"
        ],
        "sources": [
          "intercom"
        ],
        "customerDomains": [
          "string"
        ]
      },
      "action": {
        "type": "create_issue",
        "teamId": "string",
        "priority": "low",
        "status": "triage",
        "labelIds": [
          "string"
        ],
        "agentId": "string",
        "repo": "string",
        "instructions": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?